package cn.yw.alarmtaskmanage.bean;

import cn.base.bean.BaseBean;
//[运维告警规则管理]

public class YwalarmruleinfoBean extends BaseBean implements java.io.Serializable {
	private String alarmruleid;//[告警规则id]
	private String alarmrulename;//[告警规则名称]
	private int alarmsource;//[告警来源]
	private int alarmtype;//[告警类型]
	private int alarmdeviceid;//[告警设备]
	private int alarmgrade;//[告警等级]
	private int isenable;//[是否启用]
	private int alarmtrigger;//[告警时触发]
	private int unalarmtrigger;//[消警时触发]
	private int autounalarmtime;//[自动销警间隔时间]
	private int alarmmaxcount;//[最大告警次数]
	private int noticeclient;//[通知客户端]
	private int noticesms;//[通知短信]
	private int noticeemail;//[通知邮件]
	private int noticerecord;//[通知录像]
	private int noticeupwall;//[通知上墙]
	private int noticesnap;//[通知抓拍]
	private int noticeputput;//[通知输出]
	private int noticecloundplat;//[通知云台]
	private int voiceswitch;//[语音播报开关]
	private String voicecontent;//[语音播报内容]
	private String phonenum;//[手机号码]
	private String smscontent;//[短信内容]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setAlarmruleid(String alarmruleid){
		this.alarmruleid = alarmruleid;
	}
	public String getAlarmruleid(){
		return alarmruleid;
	}
	public void setAlarmrulename(String alarmrulename){
		this.alarmrulename = alarmrulename;
	}
	public String getAlarmrulename(){
		return alarmrulename;
	}
	public void setAlarmsource(int alarmsource){
		this.alarmsource = alarmsource;
	}
	public int getAlarmsource(){
		return alarmsource;
	}
	public void setAlarmtype(int alarmtype){
		this.alarmtype = alarmtype;
	}
	public int getAlarmtype(){
		return alarmtype;
	}
	public void setAlarmdeviceid(int alarmdeviceid){
		this.alarmdeviceid = alarmdeviceid;
	}
	public int getAlarmdeviceid(){
		return alarmdeviceid;
	}
	public void setAlarmgrade(int alarmgrade){
		this.alarmgrade = alarmgrade;
	}
	public int getAlarmgrade(){
		return alarmgrade;
	}
	public void setIsenable(int isenable){
		this.isenable = isenable;
	}
	public int getIsenable(){
		return isenable;
	}
	public void setAlarmtrigger(int alarmtrigger){
		this.alarmtrigger = alarmtrigger;
	}
	public int getAlarmtrigger(){
		return alarmtrigger;
	}
	public void setUnalarmtrigger(int unalarmtrigger){
		this.unalarmtrigger = unalarmtrigger;
	}
	public int getUnalarmtrigger(){
		return unalarmtrigger;
	}
	public void setAutounalarmtime(int autounalarmtime){
		this.autounalarmtime = autounalarmtime;
	}
	public int getAutounalarmtime(){
		return autounalarmtime;
	}
	public void setAlarmmaxcount(int alarmmaxcount){
		this.alarmmaxcount = alarmmaxcount;
	}
	public int getAlarmmaxcount(){
		return alarmmaxcount;
	}
	public void setNoticeclient(int noticeclient){
		this.noticeclient = noticeclient;
	}
	public int getNoticeclient(){
		return noticeclient;
	}
	public void setNoticesms(int noticesms){
		this.noticesms = noticesms;
	}
	public int getNoticesms(){
		return noticesms;
	}
	public void setNoticeemail(int noticeemail){
		this.noticeemail = noticeemail;
	}
	public int getNoticeemail(){
		return noticeemail;
	}
	public void setNoticerecord(int noticerecord){
		this.noticerecord = noticerecord;
	}
	public int getNoticerecord(){
		return noticerecord;
	}
	public void setNoticeupwall(int noticeupwall){
		this.noticeupwall = noticeupwall;
	}
	public int getNoticeupwall(){
		return noticeupwall;
	}
	public void setNoticesnap(int noticesnap){
		this.noticesnap = noticesnap;
	}
	public int getNoticesnap(){
		return noticesnap;
	}
	public void setNoticeputput(int noticeputput){
		this.noticeputput = noticeputput;
	}
	public int getNoticeputput(){
		return noticeputput;
	}
	public void setNoticecloundplat(int noticecloundplat){
		this.noticecloundplat = noticecloundplat;
	}
	public int getNoticecloundplat(){
		return noticecloundplat;
	}
	public void setVoiceswitch(int voiceswitch){
		this.voiceswitch = voiceswitch;
	}
	public int getVoiceswitch(){
		return voiceswitch;
	}
	public void setVoicecontent(String voicecontent){
		this.voicecontent = voicecontent;
	}
	public String getVoicecontent(){
		return voicecontent;
	}
	public void setPhonenum(String phonenum){
		this.phonenum = phonenum;
	}
	public String getPhonenum(){
		return phonenum;
	}
	public void setSmscontent(String smscontent){
		this.smscontent = smscontent;
	}
	public String getSmscontent(){
		return smscontent;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}